Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# QSqlRelationalDelegate Class Reference

The QSqlRelationalDelegate is used to display and edit data from a QSqlRelationalTableModel. More...

    #include <QSqlRelationalDelegate>

Inherits QItemDelegate.

- List of all members, including inherited members

### Writable Properties

- 1 writable property inherited from QObject

### Public Functions

- QSqlRelationalDelegate ( QObject * parent = 0 )
- ~QSqlRelationalDelegate ()

- 9 public functions inherited from QItemDelegate
- 8 public functions inherited from QAbstractItemDelegate
- 26 public functions inherited from QObject

### Public Slots

- 1 public slot inherited from QObject

### Signals

- 2 signals inherited from QAbstractItemDelegate
- 1 signal inherited from QObject

### Static Public Members

- 4 static public members inherited from QObject

### Protected Functions

- 4 protected functions inherited from QItemDelegate
- 1 protected function inherited from QAbstractItemDelegate
- 7 protected functions inherited from QObject

## Detailed Description

The QSqlRelationalDelegate is used to display and edit data from a QSqlRelationalTableModel.

Unlike the default delegate, QSqlRelationalDelegate provides a combobox for fields that are foreign keys into other tables. To use the class, simply call QAbstractItemView::setItemDelegate() on the view with an instance of QSqlRelationalDelegate:

            QTableView *view = new QTableView;
            view->setModel(model);
            view->setItemDelegate(new QSqlRelationalDelegate(view));

The sql/relationaltablemodel example (shown below) illustrates how to use QSqlRelationalDelegate in conjunction with QSqlRelationalTableModel to provide tables with foreigh key support.

See also QSqlRelationalTableModel and Model/View Programming.

## Member Function Documentation

### QSqlRelationalDelegate::QSqlRelationalDelegate ( QObject * parent = 0 )

Constructs a QSqlRelationalDelegate object with the given parent.

### QSqlRelationalDelegate::~QSqlRelationalDelegate ()

Destroys the QSqlRelationalDelegate object and frees any allocated resources.